﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=\%PROJECT_NAME%.zip

'B4A ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4A\%PROJECT_NAME%.b4a 
'B4i ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4i\%PROJECT_NAME%.b4i 
'B4J ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4J\%PROJECT_NAME%.b4j

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Public sql As SQL
	
	Public DBFileDir, ImagesDir As String
	Public DBFileName = "dbircV11.db" As String
	Public Shared As String
	Public ImageFileName As String
	
	Private xtblItems As xTableLight
	Private ZoomImageView1 As ZoomImageView
	Private btnQuit As Button
#If B4A
	Public rp As RuntimePermissions
#End If
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("Layout")
	
#If B4A
	Shared = rp.GetSafeDirDefaultExternal("")
#Else If B4J
	xui.SetDataFolder("SS2021B4X")
	Shared = xui.DefaultFolder
#Else
	Shared = xui.DefaultFolder
#End If
	File.MakeDir(Shared, "/Dbs/")
	File.MakeDir(Shared, "/Images")
	DBFileDir = Shared & "/Dbs/"

	ImagesDir = Shared & "/Images/"
'	ImagesDir = File.DirAssets	'you could eventually leave the images in the File.DirAssets folder.

'	File.Delete(DBFileDir, DBFileName)	'can be used to reset the default database.
	
	Log(DBFileDir)
	Log(ImagesDir)
	If File.Exists(DBFileDir, DBFileName) = False Then
		Log("db file does not exist")
		File.Copy(File.DirAssets, DBFileName, DBFileDir, DBFileName)
		Log("db copied")
	Else
		Log("db file does exist")
	End If
	
	If File.Exists(ImagesDir, "R702.4.2.png") = False Then
		File.Copy(File.DirAssets, "R702.4.2.png", ImagesDir, "R702.4.2.png")	'ignore
	End If
	
	B4XPages.SetTitle(Me, "SS2021B4X")
	If sql.IsInitialized = False Then
		Try
			#If B4J
			sql.InitializeSQLite(DBFileDir, DBFileName,True)
			#Else
			sql.Initialize(DBFileDir, DBFileName,True)
			#End If
		Catch
			Log("DB Not Initialized")
			'CkUser
		End Try
	Else
		
	End If
	
	Dim resultset As ResultSet = sql.ExecQuery("SELECT name from sqlite_master where type='table'")
	Do While resultset.NextRow
		Log(resultset.Getstring("name"))
	Loop
	resultset.Close
	
	'xtblItems.LoadSQLiteDB(Starter.sql,"SELECT DescriptionSubjectLookup, TableNumber as [Table], PageIRC As [IRC Page], PgPDF As [PDF Page] FROM TableList221",True)
	'Above edited out with Klaus recommendation in forum 5.20.21 SSS
	xtblItems.SingleLine = False
	xtblItems.LoadSQLiteDB2(sql,"SELECT DescriptionSubjectLookup, TableNumber as [Table], PageIRC As [IRC Page], PgPDF As [PDF Page] FROM TableList221", False, Array As String("T", "T", "T", "I"))
	'Above added after Klaus from forum recommendation 5.20.21 SSS

'	xtblItems.SetColumnsWidths(Array As Int(350dip, 150dip, 90dip, 75dip))
	xtblItems.SetColumnsWidths(Array As Int(250dip, 150dip, 90dip, 75dip))

End Sub

Sub btnQuit_Click
	If btnQuit.Text = "Back" Then
		ZoomImageView1.mBase.Visible = False
		btnQuit.Text = "Exit"
	Else
		sql.Close
#If B4i
		xui.MsgboxAsync("You cannot exit with this button", "Warning")
#Else
		ExitApplication
#End If
	End If
End Sub

Private Sub xtblItems_CellClick(col As Int, row As Int)
	ImageFileName = xtblItems.GetValue(1, row) & ".png"
	If File.Exists(ImagesDir, ImageFileName) Then
		ShowImage
	Else
		xui.MsgboxAsync("Image  " & ImageFileName & "  does not exist.", "Warning")
	End If
End Sub

Private Sub ShowImage
	btnQuit.Text = "Back"
	ZoomImageView1.SetBitmap(xui.LoadBitmap(ImagesDir, ImageFileName))
	ZoomImageView1.mBase.Visible = True
End Sub
